DELETE FROM T_CR_CODERULE WHERE FID='0SX167MSM147';
DELETE FROM T_CR_CODERULE_L WHERE FID='0SX167MSM147';
DELETE FROM T_CR_CODERULEENTRY WHERE FID='0SX167MSM147';

INSERT INTO T_CR_CODERULE(FID,FNUMBER,FRULETYPE,FBIZOBJECTID,FSPLITSIGN,FCTRLMODE,FAPPMODE,FEXAMPLE,FEXAMPLELENGTH,FENABLE,FSTATUS,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FDISABLERID,FDISABLEDATE,FMASTERID,FISUPDATERECOVER,FISNONBREAK,FISCHECKCODE,FISAPPCONDITION,FISAPPORG,FISLOG,FISSERIALNUMBER,FISUNIQUE,FISMODIFIABLE,FISADDVIEW)
VALUES('0SX167MSM147','hr_rolegrp_coderule',null,'hrcs_rolegrp','-','1','2',' ',' ','1','C',1,{ts'2020-05-19 15:18:44'},1,{ts'2020-11-04 10:03:40'},0,null,'0SX167MSM147','0','0','0','0','0','0','0','0','0','1');

INSERT INTO T_CR_CODERULE_L(FPKID,FID,FLOCALEID,FNAME)
VALUES('0SX167MW=+KA','0SX167MSM147','zh_CN','HR角色分组编码规则');

INSERT INTO T_CR_CODERULEENTRY(FENTRYID,FID,FSEQ,FATTRIBUTETYPE,FATTUSINGMODE,FVALUEATRIBUTE,FFORMAT,FSETTINGVALUE,FLENGTH,FINITIAL,FSTEP,FADDCHAR,FISSPLITSIGN,FADDSTYLE,FCUTSTYLE,FISSORTITEM,FSPLITSIGN,FISVISABLE)
VALUES('15Y3R0UU=KPU','0SX167MSM147',0,'1',' ',' ','HRRG',' ',8,1,1,' ','0','1','1','0',' ','1');
INSERT INTO T_CR_CODERULEENTRY(FENTRYID,FID,FSEQ,FATTRIBUTETYPE,FATTUSINGMODE,FVALUEATRIBUTE,FFORMAT,FSETTINGVALUE,FLENGTH,FINITIAL,FSTEP,FADDCHAR,FISSPLITSIGN,FADDSTYLE,FCUTSTYLE,FISSORTITEM,FSPLITSIGN,FISVISABLE)
VALUES('15Y3R0UU=KPV','0SX167MSM147',1,'16','1',' ',' ',' ',5,1,1,' ','1','1','1','0','-','1');
